use crate::server::LSPServer;
use crate::utils::*;
#[allow(unused)]
use log::info;
use tower_lsp::lsp_types::*;

mod sv;
mod vhdl;

impl LSPServer {
    pub fn inlay_hint(&self, params: InlayHintParams) -> Option<Vec<InlayHint>> {
        let language_id = get_language_id_by_uri(&params.text_document.uri);
        match language_id.as_str() {
            "vhdl" => vhdl::inlay_hint(
                self,
                &params
            ),

            "verilog" | "systemverilog" => sv::inlay_hint(
                self,
                &params
            ),
            
            _ => None
        }
    }
}